Skip to main content

Annotations

GET/v1/orgs/{org_id}/annotations

List Annotations

List annotations with optional filters.

Runtime, CI or Admin tokenscope: readoperation_id: annotations.list

Authentication

Any bearer token belonging to the org can read this endpoint.

SDK install

pip install znyx-sdknpm install @znyx/sdk

Path parameters

NameTypeRequiredDescription
org_id#pathstringrequired

Query parameters

NameTypeRequiredDescription
trace_id#querystring | nulloptional
annotation_type#querystring | nulloptional
detector_name#querystring | nulloptional
limit#queryintegeroptional
offset#queryintegeroptional

Header parameters

NameTypeRequiredDescription
X-API-Key#headerstring | nulloptional
authorization#headerstring | nulloptional

Responses

StatusDescription
200Successful Response
422Validation Error

Response schema

totalrequiredinteger
limitrequiredinteger
offsetrequiredinteger
annotationsrequired

Errors & what triggers them

CodeTriggerFix
401Missing or expired Authorization header.
403Token does not have org access (wrong org_id, or insufficient role).
404Resource does not exist in this org.

Request

curl -X GET 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/annotations' \
  -H 'Authorization: Bearer $ZNYX_TOKEN'

Response

application/json

Successful Response

{
  "total": 0,
  "limit": 0,
  "offset": 0,
  "annotations": [
    {
      "id": "string",
      "trace_id": "string",
      "annotation": "string",
      "detector_name": null,
      "notes": null,
      "annotated_by": null,
      "created_at": null
    }
  ]
}

Schema: object